# Get Location

get ` https://app.mk.io/api/v1/locations/:location_name`

Retrieves the specified Location.

RBAC Capability Required: `core.location.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

location_name **string** Required

## Response

200 **Location**

metadata **object** [MetadataMinimalSchema](https://docs.mediakind.com/api-reference/management-api/schemas/metadataminimalschema) Required

Metadata.

Show 3 properties

- displayName **string** Optional  
  The display name of the resource
- id **string** Required format: uuid  
  The ID of the resource
- name **string** Optional  
  The name of the resource

spec **object** [LocationSpecSchema_v1](https://docs.mediakind.com/api-reference/management-api/schemas/locationspecschema-v1) Required

Specification.

Show 3 properties

- cloud **object** [LocationCloudSchema](https://docs.mediakind.com/api-reference/management-api/schemas/locationcloudschema) Optional  
  Cloud.

Show 3 properties
  
  - displayName **string** Required  
    The display name of the cloud.
  - name **string** Optional  
    The unique name of the cloud.

- region **object** [LocationRegionSchema](https://docs.mediakind.com/api-reference/management-api/schemas/locationregionschema) Optional  
  Cloud region.

Show 2 properties  
  
  - displayName **string** Required  
    The display name of the cloud region.
  - name **string** Optional  
    The name of the cloud region (unique within the cloud).

- organization **object** [OrganizationSpecSchema_v1](https://docs.mediakind.com/api-reference/management-api/schemas/organizationspecschema-v1) Optional  
  Organization information if applicable.

Show 2 properties  
  
  - id **string or null** Optional format: uuid  
    ID of the organization.
  - name **string** Required  
    Name of the organization.
  - type **enum** Required  
    Is the location one that is usable only by your organization?

Allowed values: SaaS, Dedicated

## Errors

- 400 **Bad Request**  
  error **object** [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties

- code **string** Required  
  The error code.
  
  - detail **string** Required  
  The error message.
  
  - extraDetail **map from strings to any** Optional  
  Extra information regarding this error.

Show value schema

- [any key] **any**

- ref **string** Required  
  A reference to the request that caused the error.

- status **integer** Required  
  The HTTP status code

- 401 **Unauthorized**  
  error **object** [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties

Show value schema

- [any key] **any**
  
- ref **string** Required  
  A reference to the request that caused the error.

- status **integer** Required  
  The HTTP status code

- 403 **Forbidden**  
  error **object** [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties

Show value schema

- [any key] **any**
  
- ref **string** Required  
  A reference to the request that caused the error.

- status **integer** Required  
  The HTTP status code

- 404 **Not Found**  
  error **object** [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties

Show value schema

- [any key] **any**
  
- ref **string** Required  
  A reference to the request that caused the error.

- status **integer** Required  
  The HTTP status code

- 429 **Too Many Requests**  
  error **object** [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties

Show value schema

- [any key] **any**
  
- ref **string** Required  
  A reference to the request that caused the error.

- status **integer** Required  
  The HTTP status code

- 500 **Internal Server Error**  
  error **object** [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties

Show value schema

- [any key] **any**
  
- ref **string** Required  
  A reference to the request that caused the error.

- status **integer** Required  
  The HTTP status code
